/*!
 * Copyright (c) Microsoft Corporation and contributors. All rights reserved.
 * Licensed under the MIT License.
 */
import { ISequencedDocumentMessage } from "@fluidframework/protocol-definitions";
import { IDeltaService } from "@fluidframework/server-services-core";
/**
 * Manager to fetch deltas from Alfred using the internal URL.
 */
export declare class DeltaManager implements IDeltaService {
    private readonly authEndpoint;
    private readonly internalAlfredUrl;
    constructor(authEndpoint: any, internalAlfredUrl: string);
    getDeltas(_collectionName: string, tenantId: string, documentId: string, from: number, to: number): Promise<ISequencedDocumentMessage[]>;
    getDeltasFromStorage(collectionName: string, tenantId: string, documentId: string, fromTerm: number, toTerm: number, fromSeq?: number, toSeq?: number): Promise<ISequencedDocumentMessage[]>;
    getDeltasFromSummaryAndStorage(collectionName: string, tenantId: string, documentId: string, from?: number, to?: number): Promise<ISequencedDocumentMessage[]>;
    private getKey;
    private getBasicRestWrapper;
}
//# sourceMappingURL=deltaManager.d.ts.map