"use strict";
/*!
 * Copyright (c) Microsoft Corporation and contributors. All rights reserved.
 * Licensed under the MIT License.
 */
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.createMetricClient = void 0;
const telegraf = __importStar(require("telegrafjs"));
const server_services_core_1 = require("@fluidframework/server-services-core");
class TelegrafClient {
    constructor(config) {
        this.connected = false;
        this.telegrafClient = new telegraf.TelegrafTCPClient({
            host: config.host,
            port: config.port,
        });
        this.telegrafClient.connect().then(() => {
            this.connected = true;
        });
    }
    // eslint-disable-next-line @typescript-eslint/promise-function-async
    writeLatencyMetric(series, traces) {
        return !this.connected || !traces || traces.length === 0
            ? Promise.resolve()
            : this.writeToTelegraf(series, this.createTelegrafRow(traces));
    }
    createTelegrafRow(traces) {
        const row = {};
        const Float = telegraf.Float;
        for (const trace of traces) {
            // tslint:disable prefer-template
            const column = `${trace.service}${trace.action ? `-${trace.action}` : ""}`;
            row[column] = new Float(trace.timestamp);
        }
        return row;
    }
    async writeToTelegraf(series, row) {
        const Measurement = telegraf.Measurement;
        // eslint-disable-next-line @typescript-eslint/no-unsafe-return
        return this.telegrafClient.sendMeasurement(new Measurement(series, {}, row));
    }
}
function createMetricClient(config) {
    return (config !== undefined && config.client === "telegraf")
        ? new TelegrafClient(config.telegraf)
        : new server_services_core_1.DefaultMetricClient();
}
exports.createMetricClient = createMetricClient;
//# sourceMappingURL=metricClient.js.map