/*!
 * Copyright (c) Microsoft Corporation and contributors. All rights reserved.
 * Licensed under the MIT License.
 */
export interface IMongoExceptionRetryRule {
    ruleName: string;
    match: (error: any) => boolean;
    shouldRetry(): boolean;
}
export declare abstract class BaseMongoExceptionRetryRule implements IMongoExceptionRetryRule {
    readonly ruleName: string;
    abstract match(error: any): boolean;
    protected abstract defaultRetryDecision: boolean;
    shouldRetry(): boolean;
    private readonly overrideRetryDecision?;
    constructor(ruleName: string, retryRuleOverride: Map<string, boolean>);
}
//# sourceMappingURL=IMongoExceptionRetryRule.d.ts.map