/*!
 * Copyright (c) Microsoft Corporation and contributors. All rights reserved.
 * Licensed under the MIT License.
 */
import { IUsageData, IThrottlerHelper, IThrottlerResponse, IThrottleAndUsageStorageManager } from "@fluidframework/server-services-core";
/**
 * Implements the Token Bucket algorithm to calculate rate-limiting for throttling operations.
 */
export declare class ThrottlerHelper implements IThrottlerHelper {
    private readonly throttleAndUsageStorageManager;
    private readonly rateInOperationsPerMs;
    private readonly operationBurstLimit;
    private readonly minCooldownIntervalInMs;
    constructor(throttleAndUsageStorageManager: IThrottleAndUsageStorageManager, rateInOperationsPerMs?: number, operationBurstLimit?: number, minCooldownIntervalInMs?: number);
    updateCount(id: string, count: number, usageStorageId?: string, usageData?: IUsageData): Promise<IThrottlerResponse>;
    getThrottleStatus(id: string): Promise<IThrottlerResponse | undefined>;
    private setThrottlingMetricAndUsageData;
    private getThrottlerResponseFromThrottlingMetrics;
    private getTokenReplenishAmount;
    private getRetryAfterInMs;
}
//# sourceMappingURL=throttlerHelper.d.ts.map